%global version_tag PG_VIEW_1_3_0
Name:           pg_view
Version:        1.3.0
Release:        1%{?dist}
Summary:        Command-line tool to display the state of the PostgreSQL processes

License:        ASL 2.0
URL:            https://github.com/zalando/pg_view
Source0:        https://github.com/zalando/pg_view/archive/%{version_tag}.tar.gz
Patch0:         pg_view-python2-shebang.patch

BuildArch:      noarch

Requires:       python-psycopg2

%description
pg_view is a command-line tool to display the state of the PostgreSQL processes.
It shows the per-process statistics combined with pg_stat_activity output
for the processes that have the rows there, global system stats,
per-partition information and the memory stats.


%prep
%setup -qn %{name}-%{version_tag}
%patch0


%build


%install
install -D -p -m 755 %{_builddir}/%{name}-%{version_tag}/pg_view.py \
    %{buildroot}%{_bindir}/pg_view


%files
%doc CHANGELOG LICENSE README.rst images
%{_bindir}/pg_view


%changelog
* Wed Feb 10 2016 Lorenzo Dalrio <lorenzo.dalrio@gmail.com> - 1.3.0-1
- Update to 1.3.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4.20141118git11c942e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3.20141118git11c942e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 20 2014 Lorenzo Dalrio <lorenzo.dalrio@gmail.com> - 1.2.0-2.20141118git11c942e
- Patched shebang to point to /usr/bin/python2 explicitly.
- Corrected package version to reflect script version.

* Thu Nov 20 2014 Lorenzo Dalrio <lorenzo.dalrio@gmail.com> - 1.2.0-1.20141118git11c942e
- Initial release.
